﻿/*
 * Cette feuille de style ne doit contenir
 * que des styles très simples "alias"
 * d'attributs css. Cela évite d'utiliser
 * à la fois class et style sur un même tag.
 * Les définitions doivent donc normalement
 * se résumer à une ou deux lignes!
 */

.align_left {
	text-align: left;
}

.valign_middle {
	vertical-align: middle;
}

.align_right {
	text-align: right;
}

.align_center {
	text-align: center;
}

.font_standard_size {
    font-size:1em !important;
}

.align_center_nowrap {
	text-align: center;
	white-space: nowrap;
}

.compact {
	border-collapse: collapse;
	padding: 0;
}

.table_width_100 {
	width: 100%;
}

.table_width_50 {
	width: 50%;
}

.width_60p {
	width: 60px;
}

.width_80p {
	width: 80px;
}

.width_100p {
	width: 100px;
}

.margin_right_13p {
	margin-right:13px;
}

.margin_right_EONumericTextBox .EONumericTextBox_TextBoxStyle {
    /*
        Pour les EoEntierTextBox placées dans la demande de labellisation
        */
	margin-right:13px !important;
}

.table_border_color {
	background-color:#999999;
	width:100%;
}

.table_bg_color {
	background-color:#ffffff;
	width:100%;
	padding: 1px;
}

.table {
	width:100%;
}

.desactive {
   text-decoration: line-through;
}

.cache {
	visibility: hidden;
	width: 0px;
}

.invisible {
	visibility: hidden;
	display:none;
}

.wrap {
	white-space: normal;
}

.nowrap {
	white-space: nowrap;
}

.gras {
	font-weight: bold;
}

.retrait {
	padding-left: 20px;
}

.majuscules {
	text-transform: uppercase;
}

.no-margin-no-padding {
	margin: 0;
	padding: 0;
}

.debug {
	border: 1px solid green;
}

.nodisplay {
	display: none;
	visibility: hidden;
}

.obligatoire_label {
    height: 1.4em;
    margin-bottom: 10px;
}

@media print {
	.noprint {
		display: none;
		visibility: hidden;
	}
}

.upside-down{
	-ms-transform: rotate(180deg);
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg); 
}

.vertical {
    -ms-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    -ms-transform-origin: center center 0;
    -moz-transform-origin: center center 0;
    -webkit-transform-origin: center center 0;
    transform-origin: center;
}

/* Scrollbar pour les tableaux */
.scrollGrid {
    width: 100%;
    overflow-x : auto;
}

.scrollGrid::-webkit-scrollbar {
  width: 10px;
  background-color: rgb(210, 212, 211);
}

.scrollGrid::-webkit-scrollbar-thumb {
  background-color: rgb(33, 148, 148);
}